Feeds
Create a durable query/news input
Creates a Collection-compatible news query. Google News RSS is the current adapter and is intentionally hidden behind this durable product type.
POST
https://api.smry.ai
/
v1
/
feeds
/
inputs
/
news-query
Create a durable query/news input
curl --request POST \
--url https://api.smry.ai/v1/feeds/inputs/news-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "open source databases"
}
'import requests
url = "https://api.smry.ai/v1/feeds/inputs/news-query"
payload = { "query": "open source databases" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'open source databases'})
};
fetch('https://api.smry.ai/v1/feeds/inputs/news-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "feed_follow",
"input_type": "query/news",
"collection": "<string>",
"followed": 123,
"outcomes": [
{}
]
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}Authorizations
oauth2AuthbearerAuthapiKeyAuth
Clerk OAuth 2.0 Authorization Code flow with PKCE. Request the minimum scope required by the operation.
Body
application/json
Response
Create a durable query/news input. The operation succeeded.
Last modified on September 13, 2026
⌘I
Create a durable query/news input
curl --request POST \
--url https://api.smry.ai/v1/feeds/inputs/news-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "open source databases"
}
'import requests
url = "https://api.smry.ai/v1/feeds/inputs/news-query"
payload = { "query": "open source databases" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'open source databases'})
};
fetch('https://api.smry.ai/v1/feeds/inputs/news-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "feed_follow",
"input_type": "query/news",
"collection": "<string>",
"followed": 123,
"outcomes": [
{}
]
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}